## Metabolomic Analysis

Metabolites were extracted from individual isolates (n = 198) grown on the same agar medium used in mBA experiments with two organic solvents with different polarity, ethyl acetate and methanol, to capture greater small molecule diversity. Each bacterial strain was grown separately on 25% TSA plates (25% BBLTM TrypticaseTM Soy, BD with 1.8% Bacto-Agar; BD, Germany). After seven days of incubation at 25 °C, three to four agar plugs were taken from the periphery and inside of the bacterial colony. Agar plugs were crushed and washed with 500 μl water followed by extraction in 500 μl ethyl acetate and methanol. Between each extraction step, samples were vortexed for 30–45 s. After each extraction, the solvents were evaporated, and the residue was redissolved in 500 μl LC-MS-grade methanol and filtered through a 0.2-μm membrane into HPLC vials. Solvents for blanks (uninoculated medium) were extracted according to the same protocol. The extraction protocol was also used to analyse the inhibition zones upon inter-bacterial interactions. To this end, a bacterial lawn of a sensitive target strain, either R472D3, R480 or R553, was prepared as top agar and the antibiotic producer strains (R63, R68, R71, R342, R401, R562, R569, R690, R920 and R1310, respectively) were inoculated on top.
The agar plugs were taken from the zone of inhibition and inside of the antibiotic-producing colony. In total, 20 interactions were analysed. All samples were analysed by HPLC-MS/MS on a micrOTOF-Q mass spectrometer (Bruker) with ESI-source coupled with a HPLC Dionex Ultimate 3000 (Thermo Scientific, Germany) using a Zorbax Eclipse Plus C18 1.8 μm column, 2.1×50 mm (Agilent). The column temperature was 45 °C. MS data were acquired over a range 100–3000 m/z in positive mode. Auto MS/MS fragmentation was achieved with rising collision energy (35–50 keV over a gradient from 500–2000 m/z) with a frequency of 4 Hz for all ions over a threshold of 100. uHPLC began with 90% H2O containing 0.1% acetic acid. The gradient started after 0.5 min to 100% acetonitrile (0.1% acetic acid) in 4 min. Two microliters sample solution were injected to a flow of 0.8 ml/min. All MS/MS data were converted to ‘.mzxml’ format and transferred to the GNPS server (gnps.ucsd.edu) (4). Molecular networking was performed based on the GNPS data analysis workflow using the spectral clustering algorithm (5). The data was filtered by removing all MS/MS peaks within +/- 17 Da of the precursor m/z. MS/MS spectra were window-filtered by choosing only the top 6 peaks in the +/- 50 Da window throughout the spectrum. The data was then clustered with MS-Cluster with a parent mass tolerance of 0.02 Da and a MS/MS fragment ion tolerance of 0.02 Da to create consensus spectra. Consensus spectra that contained less than two spectra were discarded. Networks were then created from the single cultivation and from the competition experiments. Edges were filtered to have a cosine score above 0.5 (0.6 for interaction network) and more than four matched peaks. Further edges between two nodes were kept in the network only if each of the nodes appeared in each other's respective top ten most similar nodes. Sample attributes were assigned to the data files (strain, genus, family, order, class phylum extraction solvent). For the network analysis, all nodes that contained ions from the blank medium were removed. The network was visualized using Cytoscape 3.5.1.